8 Replies Latest reply: Jan 17, 2013 2:07 PM by lllaass
sharral90 Level 1 Level 1 (0 points)

I have had a Macbook since 2008 so it has an older Operating System. Today I boght an Ipod touch 4th generation. The Ipod is not compatable with the I tunes on my Mac...however, my Mac won't download the lastest version of I tunes because of the age of my Operating System.

 

What do I do?? Do I need to return my new Ipod? =(


iPod touch